org.omg.CORBA

## Interface Current

All Superinterfaces:
  CurrentOperations, IDLEntity, Object, Serializable

All Known Subinterfaces:
  Current, Current

    public interface Current
    extends CurrentOperations, Object, IDLEntity

Interfaces derived from the `Current` interface enable ORB and CORBA services to provide access to information (context) associated with the thread of execution in which they are running. This information is accessed in a structured manner using interfaces derived from the `Current` interface defined in the CORBA module.

Each ORB or CORBA service that needs its own context derives an interface from the CORBA module's `Current`. Users of the service can obtain an instance of the appropriate `Current` interface by invoking `ORB::resolve_initial_references`.

org/omg/CORBA/Current.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ../../../../../src/share/classes/org/omg/PortableServer/corba.idl Saturday, July 17, 1999 12:26:21 AM PDT.

### Method Summary

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.